﻿@using LAP.Areas.Adviser.Models
@model ClientSurveyModel
@{
    bool isMarried = Model.ClientLoginData.ClientData.MaritalStatus == MaritalStatusEnum.Married && Model.ClientLoginData.SpouseData != null && Convert.ToDateTime(Model.ClientLoginData.ClientData.DateOfCurrentMarriage).IsNotEmptyDate();
    IEnumerable<SelectListItem> EmploymentOf = Model.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
}
<h3 style="margin-bottom:10px">Estate</h3>
<table class="table-custom">
    <thead>
        <tr>
            <th class="pl-5"></th>
            <th class="text-center" width="150px">
                @ClientName
            </th>
            @if (isMarried)
            {
                <th class="text-center" width="150px">@SpouseName</th>
            }
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.ClientLoginData.ClientEstate)
        {
            <tr>
                <td class="pl-5">
                    @item.DescriptionItem.itemDesc
                </td>
                <td class="text-center">
                    @item.isClientActive.BoolToYesNo()
                </td>
                @if (isMarried)
                {
                    <td class="text-center">
                        @item.isSpouseActive.BoolToYesNo()
                    </td>
                }
            </tr>
        }
    </tbody>
</table>
<hr style="border-top: 1px solid #23588d;margin-top:30px" />